Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInterpolatedVelocityField Class Reference

`#include <vtkInterpolatedVelocityField.h>`

Inheritance diagram for vtkInterpolatedVelocityField:

[legend]
Collaboration diagram for vtkInterpolatedVelocityField:

[legend]
List of all members.

## Detailed Description

Interface for obtaining.

Date:
  2003/02/11 21:08:33

Revision:
  1.17

interpolated velocity values

vtkInterpolatedVelocityField acts as a continuous velocity field by performing cell interpolation on the underlying vtkDataSet. This is a concrete sub-class of vtkFunctionSet with NumberOfIndependentVariables = 4 (x,y,z,t) and NumberOfFunctions = 3 (u,v,w). Normally, every time an evaluation is performed, the cell which contains the point (x,y,z) has to be found by calling FindCell. This is a computationally expansive operation. In certain cases, the cell search can be avoided or shortened by providing a guess for the cell id. For example, in streamline integration, the next evaluation is usually in the same or a neighbour cell. For this reason, vtkInterpolatedVelocityField stores the last cell id. If caching is turned on, it uses this id as the starting point.

Warning:
  vtkInterpolatedVelocityField is not thread safe. A new instance should be created by each thread.

See also:
  vtkFunctionSet vtkStreamer

Created by:
  - Geveci, Berk

CVS contributions (if > 5%):
  - Geveci, Berk (85%)
  - Cedilnik, Andy (6%)
  - King, Brad (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkInterpolatedVelocityField.h)`
  - .`cxx` (`/Common/vtkInterpolatedVelocityField.cxx)`

Definition at line 66 of file vtkInterpolatedVelocityField.h.

## Public Types
typedef vtkFunctionSet | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | FunctionValues (float *x, float *f)
virtual void | AddDataSet (vtkDataSet *dataset)
void | ClearLastCellId ()
virtual vtkIdType | GetLastCellId ()
virtual void | SetLastCellId (vtkIdType)
int | GetLastWeights (float *w)
int | GetLastLocalCoordinates (float pcoords[3])
virtual int | GetCaching ()
virtual void | SetCaching (int)
virtual void | CachingOn ()
virtual void | CachingOff ()
virtual int | GetCacheHit ()
virtual int | GetCacheMiss ()
virtual char * | GetVectorsSelection ()
void | SelectVectors (const char *fieldName)
virtual vtkDataSet * | GetLastDataSet ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkInterpolatedVelocityField * | SafeDownCast (vtkObject *o)
vtkInterpolatedVelocityField * | New ()
## Protected Methods
| vtkInterpolatedVelocityField ()
| ~vtkInterpolatedVelocityField ()
virtual void | SetVectorsSelection (const char *)
int | FunctionValues (vtkDataSet *ds, float *x, float *f)
## Protected Attributes
vtkGenericCell * | GenCell
vtkGenericCell * | Cell
float * | Weights
int | WeightsSize
float | LastPCoords [3]
vtkIdType | LastCellId
int | CacheHit
int | CacheMiss
int | Caching
vtkDataSet * | LastDataSet
char * | VectorsSelection
vtkInterpolatedVelocityFieldDataSetsType * | DataSets

## Member Typedef Documentation

typedef vtkFunctionSet vtkInterpolatedVelocityField::Superclass

| Reimplemented from vtkFunctionSet. Definition at line 69 of file vtkInterpolatedVelocityField.h.

## Constructor & Destructor Documentation

vtkInterpolatedVelocityField::vtkInterpolatedVelocityField | ( |  | ) | `[protected]`

vtkInterpolatedVelocityField::~vtkInterpolatedVelocityField | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkInterpolatedVelocityField::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkFunctionSet.

int vtkInterpolatedVelocityField::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkFunctionSet.

virtual int vtkInterpolatedVelocityField::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkFunctionSet.

vtkInterpolatedVelocityField* vtkInterpolatedVelocityField::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkFunctionSet.

virtual void vtkInterpolatedVelocityField::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkFunctionSet.

vtkInterpolatedVelocityField* vtkInterpolatedVelocityField::New | ( |  | ) | `[static]`

| Construct a vtkInterpolatedVelocityField with no initial data set. Caching is on. LastCellId is set to -1. Reimplemented from vtkObject.

virtual int vtkInterpolatedVelocityField::FunctionValues | ( | float * | x,
|  | float * | f
| ) | `[virtual]`

| Evaluate the velocity field, f, at (x, y, z, t). For now, t is ignored. Implements vtkFunctionSet.

virtual void vtkInterpolatedVelocityField::AddDataSet | ( | vtkDataSet * | dataset | ) | `[virtual]`

| Add a dataset used for the implicit function evaluation. If more than one dataset is added, the evaluation point is searched in all until a match is found. THIS FUNCTION DOES NOT CHANGE THE REFERENCE COUNT OF dataset FOR THREAD SAFETY REASONS.

virtual vtkIdType vtkInterpolatedVelocityField::GetLastCellId | ( |  | ) | `[virtual]`

| Return the cell id cached from last evaluation.

virtual void vtkInterpolatedVelocityField::SetLastCellId | ( | vtkIdType |  | ) | `[virtual]`

| Return the cell id cached from last evaluation.

void vtkInterpolatedVelocityField::ClearLastCellId | ( |  | ) | `[inline]`

| Set the last cell id to -1 so that the next search does not start from the previous cell Definition at line 94 of file vtkInterpolatedVelocityField.h.

int vtkInterpolatedVelocityField::GetLastWeights | ( | float * | w | ) |

| Returns the interpolation weights cached from last evaluation if the cached cell is valid (returns 1). Otherwise, it does not change w and returns 0.

int vtkInterpolatedVelocityField::GetLastLocalCoordinates | ( | float | pcoords[3] | ) |

| Returns the interpolation weights cached from last evaluation if the cached cell is valid (returns 1). Otherwise, it does not change w and returns 0.

virtual int vtkInterpolatedVelocityField::GetCaching | ( |  | ) | `[virtual]`

| Turn caching on/off.

virtual void vtkInterpolatedVelocityField::SetCaching | ( | int |  | ) | `[virtual]`

| Turn caching on/off.

virtual void vtkInterpolatedVelocityField::CachingOn | ( |  | ) | `[virtual]`

| Turn caching on/off.

virtual void vtkInterpolatedVelocityField::CachingOff | ( |  | ) | `[virtual]`

| Turn caching on/off.

virtual int vtkInterpolatedVelocityField::GetCacheHit | ( |  | ) | `[virtual]`

| Caching statistics.

virtual int vtkInterpolatedVelocityField::GetCacheMiss | ( |  | ) | `[virtual]`

| Caching statistics.

virtual char* vtkInterpolatedVelocityField::GetVectorsSelection | ( |  | ) | `[virtual]`

| If you want to work with an arbitrary vector array, then set its name here. By default this in NULL and the filter will use the active vector array.

void vtkInterpolatedVelocityField::SelectVectors | ( | const char * | fieldName | ) | `[inline]`

| If you want to work with an arbitrary vector array, then set its name here. By default this in NULL and the filter will use the active vector array. Definition at line 122 of file vtkInterpolatedVelocityField.h.

virtual vtkDataSet* vtkInterpolatedVelocityField::GetLastDataSet | ( |  | ) | `[virtual]`

virtual void vtkInterpolatedVelocityField::SetVectorsSelection | ( | const char * |  | ) | `[protected, virtual]`

int vtkInterpolatedVelocityField::FunctionValues | ( | vtkDataSet * | ds,
|  | float * | x,
|  | float * | f
| ) | `[protected]`

## Member Data Documentation

vtkGenericCell* vtkInterpolatedVelocityField::GenCell`[protected]`

| Definition at line 134 of file vtkInterpolatedVelocityField.h.

vtkGenericCell* vtkInterpolatedVelocityField::Cell`[protected]`

| Definition at line 135 of file vtkInterpolatedVelocityField.h.

float* vtkInterpolatedVelocityField::Weights`[protected]`

| Definition at line 136 of file vtkInterpolatedVelocityField.h.

int vtkInterpolatedVelocityField::WeightsSize`[protected]`

| Definition at line 137 of file vtkInterpolatedVelocityField.h.

float vtkInterpolatedVelocityField::LastPCoords[3]`[protected]`

| Definition at line 138 of file vtkInterpolatedVelocityField.h.

vtkIdType vtkInterpolatedVelocityField::LastCellId`[protected]`

| Definition at line 139 of file vtkInterpolatedVelocityField.h.

int vtkInterpolatedVelocityField::CacheHit`[protected]`

| Definition at line 140 of file vtkInterpolatedVelocityField.h.

int vtkInterpolatedVelocityField::CacheMiss`[protected]`

| Definition at line 141 of file vtkInterpolatedVelocityField.h.

int vtkInterpolatedVelocityField::Caching`[protected]`

| Definition at line 142 of file vtkInterpolatedVelocityField.h.

vtkDataSet* vtkInterpolatedVelocityField::LastDataSet`[protected]`

| Definition at line 144 of file vtkInterpolatedVelocityField.h.

char* vtkInterpolatedVelocityField::VectorsSelection`[protected]`

| Definition at line 147 of file vtkInterpolatedVelocityField.h.

vtkInterpolatedVelocityFieldDataSetsType* vtkInterpolatedVelocityField::DataSets`[protected]`

| Definition at line 149 of file vtkInterpolatedVelocityField.h.

The documentation for this class was generated from the following file:

- Common/vtkInterpolatedVelocityField.h